summaryrefslogtreecommitdiff
path: root/tests/cp/special-bits
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-09-09 08:22:19 +0000
committerJim Meyering <jim@meyering.net>2000-09-09 08:22:19 +0000
commit88cd90df1ebe15f1dc247cca384af20fa54087e3 (patch)
treeeabed52d89beb396ade0b0a1443635f3e89ded62 /tests/cp/special-bits
parentf6c0c0ee16b5ebe8a74e288893995bf5995f3edd (diff)
downloadcoreutils-88cd90df1ebe15f1dc247cca384af20fa54087e3.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/cp/special-bits')
-rwxr-xr-xtests/cp/special-bits13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/cp/special-bits b/tests/cp/special-bits
index 7658b098d..ba19d205c 100755
--- a/tests/cp/special-bits
+++ b/tests/cp/special-bits
@@ -16,6 +16,19 @@ framework_failure=0
mkdir $tmp || framework_failure=1
cd $tmp || framework_failure=1
+touch file || framework_failure=1
+chmod u-w file || framework_failure=1
+(echo foo >> file) >/dev/null 2>&1 || {
+ echo '********************************************'
+ echo "$0: NOTICE: This test must be run as root."
+ echo "You can do the following as \`root' to run just this test:"
+ echo ""
+ echo "cd `pwd` && make check TESTS=special-bits"
+ echo ""
+ echo '********************************************'
+ exit 77
+}
+
touch a b || framework_failure=1
chmod u+sx,go= a || framework_failure=1
chmod u=rwx,g=sx,o= b || framework_failure=1